> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Test Push Notifications > Use this endpoint to test the push notifications configuration. The response indicates how many registered devices received the test notification. To test successfully, make sure that you have logged into the workspace on the Rocket.Chat mobile app. By default, one request is allowed every 1000 milliseconds. **Permission required**: - `test-push-notifications` ### Changelog | Version | Description | | ---------------- | ------------| |8.8.0 | Added the `message` and `params` response fields. | ## OpenAPI ````json POST /api/v1/push.test { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Notifications" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Push Notifications" }, { "name": "Banners" } ], "paths": { "/api/v1/push.test": { "post": { "summary": "Test Push Notifications", "tags": [ "Push Notifications" ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "tokensCount": { "type": "integer", "description": "The number of devices to which the test notification was sent." }, "message": { "type": "string", "description": "The translation key for the test result message." }, "params": { "type": "array", "description": "Values used to format the translated result message.", "items": { "type": "integer" } }, "success": { "type": "boolean" } }, "required": [ "tokensCount", "message", "params", "success" ] }, "examples": { "Example 1": { "value": { "tokensCount": "1", "message": "Your_push_was_sent_to_s_devices", "params": [ "1" ], "success": "true" } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" } }, "operationId": "post-api-v1-push.test", "description": "Use this endpoint to test the push notifications configuration. The response indicates how many registered devices received the test notification.\n\nTo test successfully, make sure that you have logged into the workspace on the Rocket.Chat mobile app. By default, one request is allowed every 1000 milliseconds.\n\n**Permission required**:\n- `test-push-notifications`\n\n### Changelog\n| Version | Description |\n| ---------------- | ------------|\n|8.8.0 | Added the `message` and `params` response fields. |", "parameters": [ { "$ref": "#/components/parameters/X-Auth-Token" }, { "$ref": "#/components/parameters/X-User-Id" } ] } } }, "components": { "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } }, "parameters": { "X-Auth-Token": { "name": "X-Auth-Token", "in": "header", "required": "true", "schema": { "type": "string" }, "example": "9HqLlyZOugoStsXCUfD_0YdwnNnunAJF8V47U3QHXSq", "description": "The authorization token of the user." }, "X-User-Id": { "name": "X-User-Id", "in": "header", "required": "true", "schema": { "type": "string" }, "example": "aobEdbYhXfu5hkeqG", "description": "The user ID of the user." } } } } ````